RelayAPI

Aggregate run metrics scoped to a single automation

GET
/v1/automations/{id}/insights
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Path Parameters

id*string

Query Parameters

period?string
Default"7d"

Value in

  • "24h"
  • "7d"
  • "30d"
  • "90d"
  • "custom"
from?string

Required when period=custom; ISO 8601

Formatdate-time
to?string

Required when period=custom; ISO 8601

Formatdate-time

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/automations/string/insights"
{  "by_entrypoint": [    {      "completion_rate": 0,      "entrypoint_id": "string",      "kind": "string",      "runs": 0    }  ],  "exit_reasons": [    {      "count": 0,      "reason": "string"    }  ],  "per_node": [    {      "executions": 0,      "kind": "string",      "node_key": "string",      "per_port": {        "property1": 0,        "property2": 0      },      "success_rate": 0    }  ],  "period": {    "from": "string",    "to": "string"  },  "totals": {    "active": 0,    "avg_duration_ms": 0,    "completed": 0,    "enrolled": 0,    "exited": 0,    "failed": 0,    "waiting": 0  }}

Found something wrong? Help us improve this page.